using System;
using static System.Console;

namespace ConsoleApp71
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split();
            int N = int.Parse(unos[0]);
            int L = int.Parse(unos[1]);
            int[] H = new int[N];
            string[] broj = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
            {
                H[i] = int.Parse(broj[i]);
            }
            for (int j = 0; j < N; j++)
            {
                if (L >= H[j])
                {
                    WriteLine(j + 1);
                    return;
                }
            }WriteLine (-1);
        }
    }
}